# TdApi.ToggleGroupCallEnabledStartNotification (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ToggleGroupCallEnabledStartNotification

Package it.tdlight.jni

# Class TdApi.ToggleGroupCallEnabledStartNotification

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.ToggleGroupCallEnabledStartNotification

Enclosing class:
  TdApi

    public static class TdApi.ToggleGroupCallEnabledStartNotification
    extends TdApi.Function

Toggles whether the current user will receive a notification when the group call will start; scheduled group calls only.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `enabledStartNotification` | New value of the enabledStartNotification setting.
`int` | `groupCallId` | Group call identifier.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ToggleGroupCallEnabledStartNotification()` | Toggles whether the current user will receive a notification when the group call will start; scheduled group calls only.
`ToggleGroupCallEnabledStartNotification​(int groupCallId, boolean enabledStartNotification)` | Toggles whether the current user will receive a notification when the group call will start; scheduled group calls only.
`ToggleGroupCallEnabledStartNotification​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### enabledStartNotification

public boolean enabledStartNotification
New value of the enabledStartNotification setting.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ToggleGroupCallEnabledStartNotification

public ToggleGroupCallEnabledStartNotification()
Toggles whether the current user will receive a notification when the group call will start; scheduled group calls only.

Returns `Ok`

### ToggleGroupCallEnabledStartNotification

public ToggleGroupCallEnabledStartNotification​(int groupCallId, boolean enabledStartNotification)
Toggles whether the current user will receive a notification when the group call will start; scheduled group calls only.

Returns `Ok`

Parameters:
  `groupCallId` - int Group call identifier.
  `enabledStartNotification` - boolean New value of the enabledStartNotification setting.

### ToggleGroupCallEnabledStartNotification

public ToggleGroupCallEnabledStartNotification​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`